Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.map.client.opengis.wms
Class Capabilities.ResponseHandler

    java.lang.Object
      com.maryanovsky.gwtutils.client.net.AbstractResponseHandler
          com.maryanovsky.gwtutils.client.net.XmlResponseHandler<Capabilities>
              com.maryanovsky.map.client.opengis.wms.Capabilities.ResponseHandler

All Implemented Interfaces:
  RequestCallback

Enclosing class:
  Capabilities

    public static class Capabilities.ResponseHandler

extends XmlResponseHandler<Capabilities>

The handler of the response to a GetCapabilities request.

Field Summary

Fields inherited from class com.maryanovsky.gwtutils.client.net.AbstractResponseHandler
`requestUrl`

Constructor Summary
`Capabilities.ResponseHandler(String requestUrl, ResultCallback<Capabilities> callback)` Creates a new `Capabilities.ResponseHandler` with the specified request URL and callback to which the resulting `Capabilities` object is delivered.

Method Summary
`protected Capabilities` | `parseResponse(Document document)` Parses the document of a successfuly response.

Methods inherited from class com.maryanovsky.gwtutils.client.net.XmlResponseHandler
`getRequestUrl, onAnyResponse, onBadlyFormedXml, onBadResponse, onErrorXmlResponse, onResult, onSuccessfulResponse, onSuccessfulXmlResponse, onUnrecognizedResponse, showErrorMessage`

Methods inherited from class com.maryanovsky.gwtutils.client.net.AbstractResponseHandler
`onError, onRequestError, onResponseReceived, onUnexpectedStatusCode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Capabilities.ResponseHandler

    public Capabilities.ResponseHandler(String requestUrl,
                                        ResultCallback<Capabilities> callback)

  Creates a new `Capabilities.ResponseHandler` with the specified request URL and callback to which the resulting `Capabilities` object is delivered.

Method Detail

### parseResponse

    protected Capabilities parseResponse(Document document)
                                  throws ParseException

  Parses the document of a successfuly response.

  Overrides:
    `parseResponse` in class `XmlResponseHandler<Capabilities>`
  Throws:
    `ParseException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD